#!/usr/bin/python3

# Dieses Programm erzeugt eine Datei "autopy.scr" mit AutoCAD-Zeichenbefehlen,
# die in AutoCAD mit dem Befehl "script" ausgeführt werden kann.

from math import sin,cos,radians

s=open("autopy.scr","w") # Name der zu schreibenden Scriptdatei

print("-ofang kei",file=s) # Kein Objektfang!

# Drei ineinandergeschachtelte Schleifen - was kommt wohl heraus?
for i in range(21): 
    w1=radians(-80+8*i)
    x1=200*sin(w1)
    y1=200*cos(w1)
    print("linie 0,0 %f,%f\n"%(x1,y1),file=s)
    for j in range(11):
        w2=w1+radians(-100+20*j)
        x2=10*sin(w2)+x1
        y2=10*cos(w2)+y1
        print("linie %f,%f %f,%f\n"%(x1,y1,x2,y2),file=s)
        for k in range(41):
            w3=w2+radians(-120+6*k)
            x3=5*sin(w3)+x2
            y3=5*cos(w3)+y2
            print("linie %f,%f %f,%f\n"%(x2,y2,x3,y3),file=s)

print("zoom g",file=s) # Zoom bis zu den Zeichnungsgrenzen
s.close()   
